{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs?ref=nixos-unstable";

    flake-parts = {
      url = "github:hercules-ci/flake-parts";
      inputs.nixpkgs-lib.follows = "nixpkgs";
    };
  };

  outputs =
    { self, flake-parts, ... }@inputs:
    flake-parts.lib.mkFlake { inherit inputs; } {
      systems = [
        "x86_64-linux"
        "aarch64-linux"
        "x86_64-darwin"
        "aarch64-darwin"
      ];

      perSystem =
        { self', pkgs, ... }:
        {
          packages = {
            tyrolienne = pkgs.callPackage ./package.nix { inherit self; };
            default = self'.packages.tyrolienne;
          };

          devShells.default = pkgs.mkShell {
            inputsFrom = [ self'.packages.default ];
          };
        };
    };
}
